package com.jwipc.supplier.logic;

import com.jwipc.page.PageView;
import com.jwipc.supplier.dto.*;
import com.jwipc.supplier.model.query.QualificationQuery;

import java.util.List;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface QualificationLogic {
    PageView getList(QualificationQuery query);

    QualificationBaseDTO getDetail(Long id);

    void saveOrUpdate(QualificationBaseDTO qualificationBaseDTO);

    void updateState(Long id, Integer state);

    PageView getTemplateList(QualificationQuery query);

    void templateUpdateState(Long id, Integer state);

    QualificationTemplateBaseDTO getTemplateDetail(Long id);

    PageView getTemplateItemListByTemplateId(Long templateId);

    void templateSaveOrUpdate(QualificationTemplateSaveDTO qualificationTemplateSaveDTO);

    List<QualificationTemplateItemBaseDTO> getTemplateItemListByTemplateCode(String templateCode, String version);

    List<QualificationTemplateBaseDTO> getTemplateListAll(QualificationQuery query);

    List<SupplierQualificationListDTO> getSupplierQualifications(Long supplierId,String typeStr,String codes);
}